/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Ciudad;
import com.rjconsultores.ventaboletos.entidad.Estado;
import com.rjconsultores.ventaboletos.entidad.Plaza;

/**
 * 
 * @author MCosso
 */
public interface CiudadService extends GenericService<Ciudad, Integer> {

	public List<Ciudad> buscar(String nombciudad, Estado estado, Plaza plaza);

	public List<Ciudad> buscaLike(String strCiudad);
	
	public List<Ciudad> buscaCodMun(Integer codMun, Estado estado);

	public List<Ciudad> buscarPorEstado(Estado estado);
}